@import url('https://fonts.googleapis.com/css?family=Roboto');
@import "variables"; // override bootstrap variables;

// bootstrap
@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "~bootstrap/scss/reboot";
@import "~bootstrap/scss/type";
@import "~bootstrap/scss/images";
@import "~bootstrap/scss/grid"; // used - keep
@import "~bootstrap/scss/tables"; // used
@import "~bootstrap/scss/forms"; // used
@import "~bootstrap/scss/buttons"; // used
@import "~bootstrap/scss/dropdown"; // used
@import "~bootstrap/scss/input-group"; // used
@import "~bootstrap/scss/custom-forms"; // check for removal
@import "~bootstrap/scss/card"; // rewrite
@import "~bootstrap/scss/close"; // copy or rewrite
@import "~bootstrap/scss/utilities";
@import "~bootstrap/scss/print"; // keep

body { background-color: white; margin: 0; font-family: 'Roboto', sans-serif; overflow-x: hidden; font-size: 0.6rem;
  @media screen and (max-width: 1921px) {
    & { font-size: 0.8rem; }
  }
  h2 { font-size: 3em; text-decoration: none; font-weight: bold;
    @media screen and (max-width: 400px) {
      & { font-size: 3.2rem; }
    }
    &:before { background-image: url('../images/icons/square_icon_grey.png'); background-size: 1em 1em; background-repeat: no-repeat; display: inline-block; width: 1em; height: 1em; padding-right: 0.4em; content:""; }
    &:after { content: ''; display: block; width: 1.5em; margin-left: 1em; border-bottom: 5px red solid; }
  }
  img { margin-top: auto; }
  nav { background-color: white; color: grey; height: 75px; line-height: 75px; vertical-align: middle; font-size: 1.3rem; display: inline-flex; justify-content: flex-end; width: 100%; position: fixed; top: 0; z-index: 999999; border-bottom: 0.5px solid lightgray;
    div { width: 100%;
      span.logo { position: relative; left: 1vw; }
      span.navigation { right: 0; position: absolute;
        a { position: relative; text-decoration: none;color: lightgray; margin: auto 2vw;
          &#dropdownMenu2 { color: lightgray; cursor: pointer; }
          &:before { content: "";position: absolute;width: 100%;height: 2px;bottom: 0;left: 0;background-color: #000;visibility: hidden;-webkit-transform: scaleX(0);transform: scaleX(0); -webkit-transition: all 0.3s ease-in-out 0s;transition: all 0.3s ease-in-out 0s; }
          &:hover { color: black;
            &:before { visibility: visible;-webkit-transform: scaleX(1);transform: scaleX(1); }
          }
          &.active { color: black;
            &:before { visibility: visible; transform: scaleX(1); }
          }
          &.visited { color: lightgray; }
        }
      }
    }
    div.xs-nav {
      div { width: auto; }
      div.logo { float: left; }
      input#toggle { display: block; width: 40px; height: 32px; position: absolute; top: 15px; right: 15px; cursor: pointer;opacity: 0; /* hide this */ z-index: 2; /* and place it over the hamburger */ -webkit-touch-callout: none;
        &:checked ~ div.mobile-navigation { height: 100vh; padding: 10px; -webkit-transition: all 0.3s ease-in-out 0s; transition: all 0.3s ease-in-out 0s; }
        &:not(:checked) ~ div.mobile-navigation { height: 0; -webkit-transition: all 0.3s ease-in-out 0s; transition: all 0.3s ease-in-out 0s; }
        &:checked ~ div.hamburger > span {opacity: 1;transform: rotate(45deg) translate(-5.2px, -17.7px);background: #232323;}
        &:checked ~ div.hamburger > span:nth-last-child(3) {opacity: 0;transform: rotate(0deg) scale(0.2, 0.2);}
        &:checked ~ div.hamburger > span:nth-last-child(2) {transform: rotate(-45deg) translate(0, 16.5px);}
      }
      div.hamburger { float: right;
        span { display: block; width: 33px; height: 4px; right:25px; top: 20px; margin-bottom: 5px; position: relative; background: #cdcdcd; border-radius: 3px; z-index: 1; transform-origin: 4px 0px; transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0), background 0.5s cubic-bezier(0.77,0.2,0.05,1.0), opacity 0.55s ease;
          &:first-child { transform-origin: 0% 0%; }
          &:nth-last-child(2) { transform-origin: 0% 100%; }
        }
      }
      div.mobile-navigation { height: 0; overflow: hidden; background-color: rgba(0, 0, 0, 0.9); width: 100vw;
        a { display: block; font-size: 1.5em; color: lightgray;
          &.locales { display: inline-flex; }
          &.active { text-decoration: underline; }
        }
        .divider { font-size: 1.8em; }
        hr { background-color: lightgray; color: lightgray; }
      }
    }
  }
  .about {
    .video_box { margin-top: 30px; width: 100vW; height: 59.64vw;
      .overlay { width: 100vw; background-color: rgba(0, 0, 0, 0.5); z-index: -998; float: left; height: 59.64vw; position: fixed; top: 75px;
        img { width: 10vw; display: block; z-index: -997; position: fixed; top: 40%; left: 45vw; cursor: pointer;
          &.logo { width: 20vw; top: 30%; left: 40vw; }
        }
        //img#play { display: none; z-index: -990; visibility: hidden; }
        //img#pause { z-index: -990; visibility: hidden; }
        .overlay-text { display: inline-flex; position: fixed; top: 40%; left: 10%; z-index: -996;
          h3 { font-size: 4.5rem; text-align: justify; color: white;
            @media screen and (max-width: 1920px) {
              & { font-size: 3.5rem; }
            }
            b { font-weight: bolder; }
          }
        }
      }
      video#promo_video-js { right: 0; bottom: 0; top: 75px; min-width: 100vw; min-height: 100%; display: flex; padding-bottom: 20px; position: fixed; z-index: -999;}
      //:hover img { visibility: visible; }
    }
    .why_topcraft { text-align: center; background-color: white; padding-top: 2em;
      h3 { font-size: 3em;
        .red { color: red; }
      }
      .svg_container { display: inline-flex !important; width: 100vw; justify-content: space-evenly; margin: 0 0 1em;
        .svg { display: flex; width: 100px; height: 120px; background-size: 100px 100px; background-repeat: no-repeat; background-position: center; text-align: center; position: relative; margin-top: 2em;
          @media screen and (max-width: 425px) {
            & { margin-bottom: 4em; }
            &.no-margin-bottom { margin-bottom: 0!important; }
          }
          h3 { font-size: 2em; margin-top: 120px; width: 100%; }
        }
        .high_quality { background-image: url('../images/icons/icon_1.png'); }
        .attractive_price { background-image: url('../images/icons/icon_2.png'); }
        .quick_service { background-image: url('../images/icons/icon_3.png'); }
        .dynamics { background-image: url('../images/icons/icon_4.png'); }
        .wide_offering { background-image: url('../images/icons/icon_5.png'); }
      }
    }
  }
  .catalog { width: 100% !important; background-color: #202020; color: #BBB9B9; box-sizing: border-box; max-width: 100%; overflow: hidden;
    *, *:before, *:after {box-sizing: inherit;}
    header { padding: 20px;
      h2 { color: #BBB9B9;
        &:after { border-color: #BBB9B9; }
      }
    }
    .slider { width: 90vw; height: 80%; margin: auto;
      .slick-slide { float: left; visibility: hidden; opacity: 0; -webkit-transition: all 0.2s ease-in-out 0s;transition: all 0.2s ease-in-out 0s;
        &:has(div.slick-arrow) { visibility: visible !important; opacity: 1 !important; }
      }
      .slick-active { visibility: visible; opacity: 1; -webkit-transition: all 0.2s ease-in-out 0s;transition: all 0.2s ease-in-out 0s; }
      img { width: auto; height: 80vh; padding: 5px; padding-bottom: 10px !important; }
      .slick-dots { text-align: center;margin: 0 0 10px 0;padding: 0;
        li {display:inline-block;margin-left: 4px;margin-right: 4px;
          &.slick-active {
            button {background-color:white;}
          }
          button {font: 0/0 a;text-shadow: none;color: transparent;background-color:#999;border:none;width: 15px;height: 15px;border-radius:50%;}
          :hover{background-color: black;}
        }
      }
      /* Custom Arrow */
      .slick-arrow { position: absolute; top:50%; cursor: pointer;
        &.glyphicon-chevron-right {right: 1%; }
        &.glyphicon-chevron-left {left: 1%; }
      }
      //.prev{color: #999;position: absolute;top: 38%;left: -2em;font-size: 1.5em;
      //  :hover{cursor: pointer;color: #D3D3D3;}
      //}
      //.next{color: #999;position: absolute;top: 38%;right: -2em;font-size: 1.5em;
      //  :hover{cursor: pointer;color: #D3D3D3;}
      //}
      //@media screen and (max-width: 800px) {
      //  .next {display: none !important;}
      //}
    }
  }
  #contact { /*padding: 50px 50px 25px 50px;*/ background-color: white;
    @media screen and (max-width: 425px) {
      & { font-size: 0.5rem; }
      h4 { font-size: 2rem; }
    }
    .container { background-color: white; display: block; max-width: 100%; width: 100% !important;
      header { padding: 20px; }
      .contact{ margin: 0 3vw;
        .address{ width: 50%; font-size: 1rem; display: block;
          address { margin-bottom: 30px;
            .company-details { display: flex; }
          }
        }
      }
      #map-europe { height: 40vh; width: auto; margin-left: -20px; margin-bottom: 2.5em;
        img { width: auto; height: 100%; }
      }
    }
  }
  //#partners { display: inline-flex; margin: 2vh 5vw;
  //  img { width: 40vw; }
  //  area[title="Poland"]:hover { background-color: black; }
  //}
  footer { width: 100vw; min-height: 75px; background-color: black; color: lightgray; vertical-align: middle; font-size: 1.2rem;
    &:before { display: inline-block; content: ""; border-top: .3rem solid red; width: 100%; transform: translateY(-1rem); }
    .section-footer { display: block;
      &.enclosure { font-size: 0.9rem; }
      &.social { display: inline-block;
        img.social-icon { height: 25px; width: auto; }
      }
    }
  }
}

.hover { visibility: visible !important; }
.no-margin { margin: 0 !important; }
.text-black { color: black !important; }
.text-red { color: #d60037 !important; }
h4 { font-size: 2rem; }
.margin-sides-3 { margin: 0 4vw; }
.padding-bottom-10 { padding-bottom: 10vh; }
.border-left-red {
  &:before { content: ""; height: 50px; display: block; border-left: 2px solid red; position: relative; top: 60px; }
}
.text-size-0_9 { font-size: 0.9em; }
.text-size-1_4 { font-size: 1.4rem; }
.hidden { display: none !important; }
.underline-white { border-bottom: red 0.01rem solid; padding-bottom: 6px; }

.slick-list{ overflow: hidden;
  &:after{
    clear: both;
    content: "";
    display: block;
  }
}
.dropdown-menu.show { width: 15%; right: 5%; float: right; min-width: 0;
  display: block;
  a { display: block; margin: auto 40%; line-height: 2em;
    &:before { bottom: 0.2em; }
  }
}
